/*
 * Mainboard_UART_functions.h
 *
 * Created: 14.01.2014 10:32:13
 *  Author: Alex
 */ 


  
	#ifndef _UART_functions_h_
	#define _UART_functions_h_
  
	#define F_CPU 20E6 //Systemtakt in Hz
	#include <util/delay.h>
	
	#include "circbuf.h"

	// FUNCTIONS
	void UART_Init();
	uint8_t uart_ReceiveByte(struct circular_buffer *buf );
	void uart_TransmitByte(struct circular_buffer *buf, uint8_t data );
	void UART_enable_interrupts();
	void UART_disable_interrupts();

	#endif /*_UART_functions_h_*/